Get
[POST] .../v1/retailcardgroup/get
Returns information about customer card groups. Retrieve customer card groups for loyalty card setup, filtering and customer card assignment workflows. The request supports filters by ids and parent_ids and returns result with a RetailCardGroup array including child_count. The method checks the current request user and requires customer card group select permission; missing body, denied permission, invalid filters and storage errors are returned as HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| id | int | Group IDs. |
| parent_id | int | Parent group IDs. |
Request Example
{
"filters": [
{
"Field": "id",
"Operator": "Equal",
"Value": "string"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of RetailCardGroup | Result object. |
Response Example
{
"ok": true,
"result": [
{
"child_count": 1,
"id": 1,
"last_update": 1,
"name": "string",
"parent_id": 1
}
]
}